## org.biojava.bio.program.formats
Class Embl

    java.lang.Object
      org.biojava.bio.program.formats.Embl

All Implemented Interfaces:
  Format

    public class Embl

extends java.lang.Object
implements Format

Constructor Summary
`Embl()`

Method Summary
`LifeScienceIdentifier` `getLSID()` Retrieve the LSID associated with this format.
`ParserListener` `getParserListener(TagValueListener listener)` Retrieve a ParserListener pair for the format that will pass all events on to a listener.
`AnnotationType` `getType()` Get the AnnotationType that constrains the events that will be fired.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Embl

    public Embl()

Method Detail

### getLSID

    public LifeScienceIdentifier getLSID()

  Description copied from interface: `Format`
  Retrieve the LSID associated with this format.

  The OBDA recomends taht file formats have identifiers assopciated with them. This allows the format to be specified unambiguously across different projects and groups. Idealy, a format LSID should conform to the odda formats specification.

  Specified by:
    `getLSID` in interface `Format`

### getType

    public AnnotationType getType()

  Description copied from interface: `Format`
  Get the AnnotationType that constrains the events that will be fired.

  Specified by:
    `getType` in interface `Format`
  Returns:
    an AnnotationType representingchema for the events

### getParserListener

    public ParserListener getParserListener(TagValueListener listener)

  Description copied from interface: `Format`
  Retrieve a ParserListener pair for the format that will pass all events on to a listener.

  Specified by:
    `getParserListener` in interface `Format`
  Parameters:
    `listener` - a TagValueListener that all events should be passed onto
  Returns:
    a ParserListener for the format